diff --git a/tests/data/sys-file-reader.at b/tests/data/sys-file-reader.at
index a00ef2b..900df27 100644
--- a/tests/data/sys-file-reader.at
+++ b/tests/data/sys-file-reader.at
@@ -3693,7 +3693,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [warning: `sys-file.sav' near offset 0x1ac: End of ZLIB trailer (0x24d) is not file size (0x235).
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [warning: `sys-file.sav' near offset 0x1ac: End of ZLIB trailer (0x24d) is not file size (0x235).
 error: `sys-file.sav' near offset 0x21d: 72-byte ZLIB trailer specifies 1 data blocks (expected 2).
 ])
 done
@@ -3706,7 +3706,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x20d: ZLIB trailer bias (0) differs from file header bias (100.00).
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x20d: ZLIB trailer bias (0) differs from file header bias (100.00).
 ])
 done
 AT_CLEANUP
@@ -3718,7 +3718,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [0], [warning: `sys-file.sav' near offset 0x215: ZLIB trailer "zero" field has nonzero value 100.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [0], [warning: `sys-file.sav' near offset 0x215: ZLIB trailer "zero" field has nonzero value 100.
 ])
 done
 AT_CLEANUP
@@ -3730,7 +3730,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [0], [warning: `sys-file.sav' near offset 0x219: ZLIB trailer specifies unexpected 4096-byte block size.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [0], [warning: `sys-file.sav' near offset 0x219: ZLIB trailer specifies unexpected 4096-byte block size.
 ])
 done
 AT_CLEANUP
@@ -3742,7 +3742,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: 48-byte ZLIB trailer specifies 2 data blocks (expected 1).
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: 48-byte ZLIB trailer specifies 2 data blocks (expected 1).
 ])
 done
 AT_CLEANUP
@@ -3754,7 +3754,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reported uncompressed data offset 0x177, when 0x194 was expected.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reported uncompressed data offset 0x177, when 0x194 was expected.
 ])
 done
 AT_CLEANUP
@@ -3766,7 +3766,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reported compressed data offset 0x191, when 0x1ac was expected.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reported compressed data offset 0x191, when 0x1ac was expected.
 ])
 done
 AT_CLEANUP
@@ -3831,7 +3831,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [warning: `sys-file.sav' near offset 0x1c4: ZLIB block descriptor 0 reported block size 0x100000, when 0x3ff000 was expected.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [warning: `sys-file.sav' near offset 0x1c4: ZLIB block descriptor 0 reported block size 0x100000, when 0x3ff000 was expected.
 error: `sys-file.sav' near offset 0x1dc: ZLIB block descriptor 1 reported compressed data offset 0x12421, when 0x124f1 was expected.
 ])
 done
@@ -3844,7 +3844,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [0], [warning: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reported block size 0x400000, when at most 0x3ff000 was expected.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [0], [warning: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reported block size 0x400000, when at most 0x3ff000 was expected.
 ])
 done
 AT_CLEANUP
@@ -3857,7 +3857,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reports compressed size 100 and uncompressed size 50.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x21d: ZLIB block descriptor 0 reports compressed size 100 and uncompressed size 50.
 ])
 done
 AT_CLEANUP
@@ -3869,7 +3869,7 @@ for variant in be le; do
   AT_CHECK([sack --$variant sys-file.sack > sys-file.sav])
   AT_DATA([sys-file.sps], [GET FILE='sys-file.sav'.
 ])
-  AT_CHECK([pspp -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x235: ZLIB trailer is at offset 0x205 but 0x204 would be expected from block descriptors.
+  AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps], [1], [error: `sys-file.sav' near offset 0x235: ZLIB trailer is at offset 0x205 but 0x204 would be expected from block descriptors.
 ])
 done
 AT_CLEANUP
diff --git a/tests/data/sys-file.at b/tests/data/sys-file.at
index 3e1fbb1..b2a213c 100644
--- a/tests/data/sys-file.at
+++ b/tests/data/sys-file.at
@@ -25,7 +25,7 @@ GET /FILE='foo.sav'.
 
 LIST.
 EOF
-    AT_CHECK([pspp -o pspp.csv sysfile.sps])
+    AT_CHECK([$RUNNER $PSPP -o pspp.csv sysfile.sps])
     AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 variable001,variable002,variable003,variable004
@@ -71,7 +71,7 @@ SAVE/$compression /OUTFILE='foo.sav'.
 GET /FILE='foo.sav'.
 DISPLAY DICTIONARY.
 EOF
-    AT_CHECK([pspp -o pspp.csv sysfile.sps])
+    AT_CHECK([$RUNNER $PSPP -o pspp.csv sysfile.sps])
     AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 s1,"Format: A9
@@ -113,7 +113,7 @@ GET FILE='com.sav'.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv sysfile.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv sysfile.sps])
 dnl Make sure file really was compressd, allowing big- or little-endian format.
 AT_CHECK([dd if=com.sav bs=1 skip=72 count=4 2> /dev/null > com.sav.subset])
 od com.sav.subset
@@ -134,7 +134,7 @@ BEGIN DATA.
 END DATA.
 SAVE OUTFILE='output.sav'.
 ])
-AT_CHECK([pspp -O format=csv sysfile.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile.sps])
 AT_CHECK([cmp output.sav output.sav.backup], [1], [ignore])
 AT_CLEANUP
 
@@ -150,7 +150,7 @@ END DATA.
 XSAVE OUTFILE='output.sav'.
 HOST COMMAND=['kill -TERM $PPID'].
 ]])
-AT_CHECK([pspp -O format=csv sysfile.sps], [143], [], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile.sps], [143], [], [ignore])
 AT_CHECK([cmp output.sav output.sav.backup])
 AT_CHECK(
   [for file in *.tmp*; do if test -e $file; then echo $file; exit 1; fi; done])
@@ -165,7 +165,7 @@ BEGIN DATA.
 END DATA.
 SAVE OUTFILE='data.sav'.
 ])
-AT_CHECK([pspp -O format=csv save.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv save.sps])
 AT_CHECK([test -s data.sav])
 AT_CHECK(
   [for file in *.tmp*; do if test -e $file; then echo $file; exit 1; fi; done])
@@ -174,14 +174,14 @@ GET FILE='data.sav'.
 COMPUTE y = x * 3.
 SAVE OUTFILE='data.sav'.
 ])
-AT_CHECK([pspp -O format=csv save2.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv save2.sps])
 AT_CHECK(
   [for file in *.tmp*; do if test -e $file; then echo $file; exit 1; fi; done])
 AT_DATA([save3.sps], [dnl
 GET FILE='data.sav'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv save3.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv save3.sps], [0], [dnl
 Table: Data List
 x,y
 3,9.00
@@ -200,12 +200,12 @@ END INPUT PROGRAM.
 
 SAVE OUTFILE='tiny.sav'.
 ])
-AT_CHECK([pspp -O format=csv save.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv save.sps])
 AT_DATA([get.sps], [dnl
 GET FILE='tiny.sav'.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv get.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv get.sps], [0], [dnl
 Table: Data List
 X
 2.00
@@ -234,7 +234,7 @@ Europe, 9938000, 7.3E+008, 46.00
 Australia/Oceania, 7687000, 31000000, 14.00
 END DATA.
 ])
-AT_CHECK([pspp -O format=csv save.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv save.sps])
 AT_CHECK([test -f cont.sav])
 
 dnl case_size is a 4-byte field at offset 68.
@@ -252,7 +252,7 @@ GET FILE='cont2.sav'.
 DISPLAY LABELS.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv get.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Label,Position
 cont,continents of the world,1
@@ -295,7 +295,7 @@ GET /FILE='foo.sav'.
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv sysfile.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv sysfile.sps], [0], [dnl
 Table: Data List
 x,variable,variab_a,variab_b
 1.00,1.00,1.00,2.00
@@ -320,7 +320,7 @@ GET FILE='v13.sav' ENCODING='utf-8'.
 DISPLAY VARIABLES.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv sys-file.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 N,"Format: F8.2
@@ -346,7 +346,7 @@ GET FILE='v14.sav' ENCODING='utf-8'.
 DISPLAY VARIABLES.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv sys-file.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv sys-file.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 vl255,"Format: A255
@@ -385,7 +385,7 @@ DATA LIST FIXED NOTABLE FILE='data.txt'
 
 SAVE OUTFILE='foo.sav' /$1.
 ])
-   AT_CHECK([pspp -O format=csv save.sps])
+   AT_CHECK([$RUNNER $PSPP -O format=csv save.sps])
    AT_DATA([get.sps], [dnl
 GET FILE='foo.sav'.
 
@@ -398,7 +398,7 @@ PRINT OUTFILE='out.txt'
 
 EXECUTE.
 ])
-   AT_CHECK([pspp -o pspp.csv get.sps])
+   AT_CHECK([$RUNNER $PSPP -o pspp.csv get.sps])
    AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 a,Format: A10,1
@@ -440,14 +440,14 @@ BEGIN DATA.
 END DATA.
 SAVE OUTFILE='foo.sav'.
 ])
-AT_CHECK([pspp -O format=csv save.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv save.sps])
 AT_DATA([get.sps], [dnl
 GET FILE='foo.sav'.
 DISPLAY FILE LABEL.
 DISPLAY DOCUMENTS.
 DISPLAY DICTIONARY.
 ])
-AT_CHECK([pspp -o pspp.csv get.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get.sps])
 AT_CHECK([[sed 's/(Entered [^)]*)/(Entered <date>)/' pspp.csv]], [0], [dnl
 File label: clientèle confrère cortège crèche
 
diff --git a/tests/language/command.at b/tests/language/command.at
index ae91558..bde3e53 100644
--- a/tests/language/command.at
+++ b/tests/language/command.at
@@ -6,7 +6,7 @@ AT_DATA([command.sps], [dnl
 DATA rubbish.
 EXECUTE.
 ])
-AT_CHECK([pspp -O format=csv command.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv command.sps], [1], [dnl
 command.sps:1: error: Unknown command `DATA rubbish'.
 
 command.sps:2: error: EXECUTE: EXECUTE is allowed only after the active dataset has been defined.
@@ -31,7 +31,7 @@ set safer on
 
 erase FILE='foobar'.
 ])
-AT_CHECK([pspp -O format=csv erase.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv erase.sps], [1], [dnl
 erase.sps:3: error: ERASE: This command not allowed when the SAFER option is set.
 ])
 AT_CHECK([cat foobar], [0], [contents
@@ -45,7 +45,7 @@ AT_CHECK([test -e foobar])
 AT_DATA([erase.sps], [dnl
 erase FILE='foobar'.
 ])
-AT_CHECK([pspp -O format=csv erase.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv erase.sps])
 AT_CHECK([test ! -e foobar])
 AT_CLEANUP
 
@@ -65,7 +65,7 @@ N OF CASES 15.
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv n-of-cases.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv n-of-cases.sps], [0], [dnl
 Table: Data List
 x
 1.00
@@ -94,5 +94,5 @@ AT_SETUP([COMMENT at end of file])
 AT_DATA([comment.sps], [dnl
 COMMENT this is a comment at end of file.
 ])
-AT_CHECK([pspp -O format=csv comment.sps])
+AT_CHECK([$RUNNER $PSPP -O format=csv comment.sps])
 AT_CLEANUP
diff --git a/tests/language/control/do-if.at b/tests/language/control/do-if.at
index 2136c9b..3189bdc 100644
--- a/tests/language/control/do-if.at
+++ b/tests/language/control/do-if.at
@@ -45,7 +45,7 @@ PRINT OUTFILE="do-if.out"/ABCD 'E'.
 END IF.
 EXECUTE.
 ])
-AT_CHECK([pspp do-if.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP do-if.sps], [0], [ignore])
 AT_CHECK([cat do-if.out], [0], [expout])
 AT_CLEANUP
 
@@ -54,7 +54,7 @@ AT_DATA([do-if.sps], [dnl
 DATA LIST LIST NOTABLE/a b c.
 END IF.
 ])
-AT_CHECK([pspp -O format=csv do-if.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv do-if.sps], [1], [dnl
 do-if.sps:2: error: END IF: This command cannot appear outside DO IF...END IF.
 ])
 AT_CLEANUP
diff --git a/tests/language/control/do-repeat.at b/tests/language/control/do-repeat.at
index 75c0e77..b96e10f 100644
--- a/tests/language/control/do-repeat.at
+++ b/tests/language/control/do-repeat.at
@@ -14,7 +14,7 @@ END FILE.
 END INPUT PROGRAM.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv do-repeat.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv do-repeat.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 y,x,a,b,c
@@ -37,7 +37,7 @@ COMPUTE x = x + offset.
 LIST.
 END REPEAT.
 ])
-AT_CHECK([pspp -o pspp.csv do-repeat.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv do-repeat.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 x
@@ -77,7 +77,7 @@ END REPEAT.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv do-repeat.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv do-repeat.sps], [0], [dnl
 do-repeat.sps:8: warning: DO REPEAT: Dummy variable name `x' hides dictionary variable `x'.
 ])
 AT_CHECK([cat pspp.csv], [0], [dnl
@@ -112,7 +112,7 @@ END REPEAT.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv do-repeat.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv do-repeat.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 a,h0,h1,h2,h3,v1,v2,v3,v4,v5,v6
@@ -132,7 +132,7 @@ END DATA.
 DO REPEAT h = a.
 END REPEAT.
 ])
-AT_CHECK([pspp -o pspp.csv do-repeat.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv do-repeat.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 ])
 AT_CLEANUP
@@ -144,7 +144,7 @@ AT_DATA([do-repeat.sps], [dnl
 DATA LIST NOTABLE /x 1.
 DO REPEAT y = 1 TO 10.
 ])
-AT_CHECK([pspp -O format=csv do-repeat.sps], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv do-repeat.sps], [1], [dnl
 error: DO REPEAT: Syntax error at end of input: expecting END.
 ])
 AT_CLEANUP
diff --git a/tests/language/control/loop.at b/tests/language/control/loop.at
index be214cc..0db0345 100644
--- a/tests/language/control/loop.at
+++ b/tests/language/control/loop.at
@@ -19,7 +19,7 @@ end loop.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1.00 @&t@
 
@@ -56,7 +56,7 @@ end loop.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1.00 @&t@
 
@@ -93,7 +93,7 @@ end loop if #k > y.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1.00 @&t@
 
@@ -130,7 +130,7 @@ end loop.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1.00 @&t@
 
@@ -159,7 +159,7 @@ end loop if #n >= 4.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1.00 @&t@
 
@@ -192,7 +192,7 @@ end loop if #o >= 4.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 --------
 
@@ -222,7 +222,7 @@ end loop.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1.00 @&t@
 
@@ -257,7 +257,7 @@ end loop.
 print/'--------'.
 execute.
 ])
-AT_CHECK([pspp -o pspp.csv loop.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv loop.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 1     1.00 @&t@
 
diff --git a/tests/language/control/temporary.at b/tests/language/control/temporary.at
index 5ec8bea..80d1375 100644
--- a/tests/language/control/temporary.at
+++ b/tests/language/control/temporary.at
@@ -22,7 +22,7 @@ LIST.
 
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv temporary.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv temporary.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 X
diff --git a/tests/language/data-io/add-files.at b/tests/language/data-io/add-files.at
index d665081..89c79eb 100644
--- a/tests/language/data-io/add-files.at
+++ b/tests/language/data-io/add-files.at
@@ -28,13 +28,13 @@ m4_define([CHECK_ADD_FILES],
 DATA LIST NOTABLE FILE='a.data' /a b c 1-3 (A).
 SAVE OUTFILE='a.sav'.
 ])
-      AT_CHECK([pspp -O format=csv save-a.sps])])
+      AT_CHECK([$RUNNER $PSPP -O format=csv save-a.sps])])
    m4_if([$3], [sav],
      [AT_DATA([save-b.sps], [dnl
 DATA LIST NOTABLE FILE='b.data' /a b c 1-3 (A).
 SAVE OUTFILE='b.sav'.
 ])
-      AT_CHECK([pspp -O format=csv save-b.sps])])
+      AT_CHECK([$RUNNER $PSPP -O format=csv save-b.sps])])
    m4_if([$1], [interleave],
           [m4_pushdef([BY], [[/BY a /FIRST=first /LAST=last]])
 	   m4_pushdef([SORT], [[/SORT]])],
@@ -51,7 +51,7 @@ LIST.
 ])
    m4_popdef([BY])
    m4_popdef([SORT])
-   AT_CHECK([pspp -O format=csv add-files.sps], [0],
+   AT_CHECK([$RUNNER $PSPP -O format=csv add-files.sps], [0],
 [m4_if([$1], [interleave], [dnl
 Table: Data List
 a,b,c,d,InA,InB,first,last
diff --git a/tests/language/data-io/data-list.at b/tests/language/data-io/data-list.at
index b758411..389fc4d 100644
--- a/tests/language/data-io/data-list.at
+++ b/tests/language/data-io/data-list.at
@@ -16,7 +16,7 @@ END DATA.
 
 LIST.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 Table: Data List
 A,B,C
 .,.,.
@@ -42,7 +42,7 @@ end data.
 
 list.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 A,F8.0
@@ -80,7 +80,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 data-list.pspp:4.6: warning: Data for variable D is not valid as format F: Field contents are not numeric.
 
 Table: Data List
@@ -119,7 +119,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 Table: Data List
 A,B,C,D
 1.00,2.00,3.00,4.00
@@ -177,7 +177,7 @@ BEGIN DATA.
 END DATA.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 Table: Data List
 x,y,z
 1.00,2.00,3.00
@@ -223,7 +223,7 @@ xy
 end data.
 list.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 data-list.pspp:8.1-8.3: warning: Data for variable count is not valid as format F: Field contents are not numeric.
 
 data-list.pspp:11.1-11.3: warning: Data for variable count is not valid as format F: Field contents are not numeric.
@@ -253,7 +253,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -O format=csv data-list.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.pspp], [0], [dnl
 Table: Data List
 x,y
 1,2
@@ -277,7 +277,7 @@ dnl It might not have, if we're running on a system that translates \n
 dnl into some other sequence.
 AT_CHECK([cksum input.txt], [0], [1732021750 50 input.txt
 ])
-AT_CHECK([pspp -o pspp.csv data-list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv data-list.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 a,b,c
@@ -304,7 +304,7 @@ execute.
 AT_CHECK([sed -n '/12345/l' data-list.sps], [0], [dnl
 \t1\t12\t123\t1234\t12345    .$
 ])
-AT_CHECK([pspp -o pspp.csv data-list.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv data-list.sps])
 dnl The CSV driver drops leading spaces so they don't appear here:
 AT_CHECK([cat pspp.csv], [0], [dnl
 1       12      123     1234    12345    . @&t@
@@ -328,7 +328,7 @@ BEGIN DATA.
 'y'z
 END DATA.
 ])
-AT_CHECK([pspp -O format=csv data-list.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.sps], [0], [dnl
 data-list.sps:4: warning: Missing delimiter following quoted string.
 
 Table: Data List
@@ -342,7 +342,7 @@ AT_SETUP([DATA LIST FREE and LIST assume a width if omitted])
 AT_DATA([data-list.sps], [dnl
 DATA LIST FREE TABLE/s (a) d (datetime) f (f).
 ])
-AT_CHECK([pspp -O format=csv data-list.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.sps], [0], [dnl
 Table: Reading free-form data from INLINE.
 Variable,Format
 s,A1
@@ -370,7 +370,7 @@ END DATA
 LIST /FORMAT=NUMBERED.
 ])
 
-AT_CHECK([pspp -O format=csv data-list.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv data-list.sps], [0], [dnl
 Table: Data List
 Case Number,A
 1,"1,00"
diff --git a/tests/language/data-io/data-reader.at b/tests/language/data-io/data-reader.at
index b9e7607..2ff6f11 100644
--- a/tests/language/data-io/data-reader.at
+++ b/tests/language/data-io/data-reader.at
@@ -16,7 +16,7 @@ BEGIN DATA.
 90
 END DATA.
 ])
-AT_CHECK([pspp -O format=csv begin-data.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv begin-data.sps], [0], [dnl
 Title: Test BEGIN DATA ... END DATA
 
 Table: Reading 1 record from INLINE.
@@ -47,7 +47,7 @@ begin data.
 end data.
 list.
 ])
-AT_CHECK([pspp -O format=csv begin-data.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv begin-data.sps], [0], [dnl
 Table: Reading 1 record from INLINE.
 Variable,Record,Columns,Format
 A,1,1-  1,F1.0
@@ -166,7 +166,7 @@ COMPUTE count=count + 1.
 PRINT OUTFILE=output/start end count.
 EXECUTE.
 ])
-   AT_CHECK([pspp -O format=csv data-reader.sps], [0], [dnl
+   AT_CHECK([$RUNNER $PSPP -O format=csv data-reader.sps], [0], [dnl
 Table: Data List
 start,end,count
 07/22/2007,10/06/2007,321
@@ -183,7 +183,7 @@ DATA LIST FIXED FILE=output NOTABLE/
 	count 24-26.
 LIST.
 ])
-   AT_CHECK([pspp -O format=csv data-reader-2.sps], [0], [dnl
+   AT_CHECK([$RUNNER $PSPP -O format=csv data-reader-2.sps], [0], [dnl
 Table: Data List
 start,end,count
 07/22/2007,10/06/2007,322
diff --git a/tests/language/data-io/dataset.at b/tests/language/data-io/dataset.at
index 7d5e928..a3baa85 100644
--- a/tests/language/data-io/dataset.at
+++ b/tests/language/data-io/dataset.at
@@ -43,7 +43,7 @@ DATASET DISPLAY.
 DATASET CLOSE initial.
 DATASET DISPLAY.
 ])
-AT_CHECK([pspp -O format=csv dataset.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv dataset.pspp], [0], [dnl
 Table: Data List
 y
 6
@@ -109,7 +109,7 @@ DATASET ACTIVATE second.
 DATASET DISPLAY.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv dataset.pspp], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv dataset.pspp], [1], [dnl
 Table: Open datasets.
 Dataset
 unnamed dataset (active dataset)
@@ -138,7 +138,7 @@ DATASET NAME b.
 DATASET NAME c.
 DATASET DISPLAY.
 ])
-AT_CHECK([pspp -O format=csv dataset.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv dataset.pspp], [0], [dnl
 Table: Open datasets.
 Dataset
 a (active dataset)
@@ -159,7 +159,7 @@ DATASET DISPLAY.
 DATASET ACTIVATE x.
 DATASET DISPLAY.
 ])
-AT_CHECK([pspp -O format=csv dataset.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv dataset.pspp], [0], [dnl
 Table: Open datasets.
 Dataset
 unnamed dataset (active dataset)
@@ -193,7 +193,7 @@ LIST.
 DATASET ACTIVATE one.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv dataset.pspp], [1], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv dataset.pspp], [1], [dnl
 Table: Open datasets.
 Dataset
 another
@@ -252,7 +252,7 @@ DATASET DISPLAY.
 DATASET CLOSE ALL.
 DATASET DISPLAY.
 ])
-AT_CHECK([pspp -O format=csv dataset.pspp], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv dataset.pspp], [0], [dnl
 Table: Open datasets.
 Dataset
 unnamed dataset (active dataset)
diff --git a/tests/language/data-io/file-handle.at b/tests/language/data-io/file-handle.at
index add22d2..981a632 100644
--- a/tests/language/data-io/file-handle.at
+++ b/tests/language/data-io/file-handle.at
@@ -12,7 +12,7 @@ FILE HANDLE myhandle /NAME='wiggle.txt'.
 DATA LIST LIST FILE=myhandle /x *.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv file-handle.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv file-handle.sps], [0], [dnl
 Table: Reading free-form data from myhandle.
 Variable,Format
 x,F8.0
diff --git a/tests/language/data-io/get-data-psql.at b/tests/language/data-io/get-data-psql.at
index 692de09..e4ff8f5 100644
--- a/tests/language/data-io/get-data-psql.at
+++ b/tests/language/data-io/get-data-psql.at
@@ -136,7 +136,7 @@ DISPLAY DICTIONARY.
 LIST.
 EOF
 ])
-AT_CHECK([pspp -o pspp.csv ordinary-query.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv ordinary-query.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 bool,Format: F8.2,1
@@ -181,7 +181,7 @@ DISPLAY DICTIONARY.
 LIST.
 EOF
 ])
-AT_CHECK([pspp -o pspp.csv empty-result.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv empty-result.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 a,Format: F8.2,1
@@ -214,7 +214,7 @@ N OF CASES 6.
 LIST.
 EOF
 ])
-AT_CHECK([pspp -o pspp.csv large-result.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv large-result.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Table: Data List
 x,diff
@@ -261,7 +261,7 @@ DISPLAY DICTIONARY.
 LIST.
 EOF
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
-AT_CAPTURE_FILE([pspp.csv])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
+AT_CAPTURE_FILE([$RUNNER $PSPP.csv])
 rm -rf "$socket_dir"
 AT_CLEANUP
diff --git a/tests/language/data-io/get-data-spreadsheet.at b/tests/language/data-io/get-data-spreadsheet.at
index b6a18dd..79cbb76 100644
--- a/tests/language/data-io/get-data-spreadsheet.at
+++ b/tests/language/data-io/get-data-spreadsheet.at
@@ -21,7 +21,7 @@ GET DATA /TYPE=$1 /FILE='testsheet'  /READNAMES=off /SHEET=name 'This' /CELLRANG
 DISPLAY VARIABLES.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 VAR001,Format: F8.2,1
@@ -45,7 +45,7 @@ GET DATA /TYPE=$1 /FILE='testsheet'  /READNAMES=on /SHEET=name 'This' /CELLRANGE
 DISPLAY VARIABLES.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 V1,Format: F8.2,1
@@ -69,7 +69,7 @@ GET DATA /TYPE=$1 /FILE='testsheet' /SHEET=index 3.
 DISPLAY VARIABLES.
 LIST.
 ])
-AT_CHECK([pspp -O format=csv get-data.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv get-data.sps], [0], [dnl
 Variable,Description,Position
 name,Format: A8,1
 id,Format: F8.2,2
@@ -94,7 +94,7 @@ GET DATA /TYPE=$1 /FILE='testsheet' /READNAMES=on /SHEET=index 5.
 DISPLAY VARIABLES.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps])
 AT_CHECK([cat pspp.csv], [0], [dnl
 Variable,Description,Position
 vone,Format: F8.2,1
@@ -120,7 +120,7 @@ GET DATA /TYPE=$1 /FILE='testsheet'.
 DISPLAY DICTIONARY.
 LIST.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps], [0], [ignore])
 AT_CLEANUP
 
 
@@ -131,7 +131,7 @@ AT_DATA([get-data.sps], [dnl
 * This sheet is empty
 GET DATA /TYPE=$1 /FILE='testsheet' /SHEET=name 'Empty'.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps], [0], [dnl
 warning: Selected sheet or range of spreadsheet `testsheet' is empty.
 ])
 AT_CLEANUP
@@ -142,7 +142,7 @@ AT_DATA([get-data.sps], [dnl
 * This sheet doesnt exist.
 GET DATA /TYPE=$1 /FILE='testsheet' /SHEET=name 'foobarxx'.
 ])
-AT_CHECK([pspp -o pspp.csv get-data.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -o pspp.csv get-data.sps], [0], [dnl
 warning: Selected sheet or range of spreadsheet `testsheet' is empty.
 ])
 AT_CLEANUP
@@ -290,7 +290,7 @@ GET DATA
 LIST.
 ])
 
-AT_CHECK([pspp -O format=csv gnum.sps], [0], [dnl
+AT_CHECK([$RUNNER $PSPP -O format=csv gnum.sps], [0], [dnl
 Table: Data List
 VAR001,VAR002,VAR003
 3       ,4.00,5.00
@@ -348,7 +348,7 @@ AT_DATA([crash.gnumeric],[dnl
 </gnm:Workbook>
 ])
 
-AT_CHECK([pspp -O format=csv read.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv read.sps], [0], [ignore])
 
 
 AT_CLEANUP
@@ -371,7 +371,7 @@ GET DATA /TYPE=ODS /FILE='this.ods' /CELLRANGE=RANGE 'A1:C8'  /READNAMES=ON
 LIST.
 ])
 
-AT_CHECK([pspp -O format=csv crash.sps], [0], [ignore])
+AT_CHECK([$RUNNER $PSPP -O format=csv crash.sps], [0], [ignore])
 
 AT_CLEANUP
 
